/*
 *  Copyright (c) 2008 Jiri Benc <jbenc@upir.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef _CMDNAV_H
#define _CMDNAV_H
#include <glib-object.h>
#include <libhildondesktop/tasknavigator-item.h>

G_BEGIN_DECLS

#define TYPE_CMD_NAVIGATOR_PLUGIN		(cmd_navigator_plugin_get_type())
#define CMD_NAVIGATOR_PLUGIN(obj)		(G_TYPE_CHECK_INSTANCE_CAST((obj), TYPE_CMD_NAVIGATOR_PLUGIN, CmdNavigatorPlugin))
#define CMD_NAVIGATOR_PLUGIN_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST((klass), TYPE_CMD_NAVIGATOR_PLUGIN, CmdNavigatorPluginClass))
#define IS_CMD_NAVIGATOR_PLUGIN(obj)		(G_TYPE_CHECK_INSTANCE_TYPE((obj), TYPE_CMD_NAVIGATOR_PLUGIN))
#define CMD_NAVIGATOR_PLUGIN_GET_CLASS(obj)	(G_TYPE_CHECK_INSTANCE_CAST((obj), TYPE_CMD_NAVIGATOR_PLUGIN, CmdNavigatorPluginClass))

typedef struct _CmdNavigatorPlugin		CmdNavigatorPlugin;
typedef struct _CmdNavigatorPluginClass		CmdNavigatorPluginClass;

struct _CmdNavigatorPlugin {
	TaskNavigatorItem parent_instance;
	gpointer private_data;
};

struct _CmdNavigatorPluginClass {
	TaskNavigatorItemClass parent_class;
};

GType cmd_navigator_plugin_get_type(void) G_GNUC_CONST;

G_END_DECLS

#endif
